| dp21 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDp_Tx Struct Reference
Overview

The XDp driver instance data representing the TX mode of operation. More...

## Data Fields
u32 | MstEnable
| Multi-stream transport (MST) mode. More...
u8 | TrainAdaptive
| Downshift lane count and link rate if necessary during training. More...
u8 | NumOfMstStreams
| No of mst streams supported. More...
u8 | IsTps4Supported
| Is TPS4 supported by the downstream sink. More...
u8 | ColorimetryThroughVsc
| Enable / Disable of sending colorimetry information through VSC packet. More...
u8 | SideBandMsgCapable
| SideBand Message Support. More...
u8 | isRxMstCapable
| Sink MST Capable Status. More...
XDp_TxLttprConfig | LttprConfig
| Configuration structure for the Lttpr. More...
XDp_TxSinkConfig | RxConfig
| Configuration structure for the RX device. More...
XDp_TxLinkConfig | LinkConfig
| Configuration structure for the main link. More...
XDp_TxBoardChar | BoardChar
| Some board characteristics information that affects link training. More...
XDp_TxMainStreamAttributes | MsaConfig [4]
| Configuration structure for the main stream attributes (MSA). More...
XDp_TxVscExtPacket | VscPacket
| Configuration structure for VSC extended packet data. More...
XDp_TxMstStream | MstStreamConfig [4]
| Configuration structure for a multi-stream transport (MST) stream. More...
XDp_TxTopology | Topology
| The topology of connected downstream DisplayPort devices when the driver is running in MST mode. More...
u32 | AuxDelayUs
| Amount of latency in micro- seconds to use between AUX transactions. More...
u32 | SbMsgDelayUs
| Amount of latency in micro- seconds to use between sideband messages for multi-stream transport (MST) mode. More...
XDp_IntrHandler | TxSetMsaCallback
| Callback function for setting the TX MSA. More...
void * | TxMsaCallbackRef
| A pointer to the user data passed to the TX MSA callback function. More...
XDp_IntrHandler | HpdEventHandler
| Callback function for Hot- Plug-Detect (HPD) event interrupts. More...
void * | HpdEventCallbackRef
| A pointer to the user data passed to the HPD event callback function. More...
XDp_IntrHandler | DrvHpdEventHandler
| Callback function for Hot- Plug-Detect (HPD) event interrupts. More...
void * | DrvHpdEventCallbackRef
| A pointer to the user data passed to the HPD event callback function. More...
XDp_IntrHandler | HpdPulseHandler
| Callback function for Hot- Plug-Detect (HPD) pulse interrupts. More...
void * | HpdPulseCallbackRef
| A pointer to the user data passed to the HPD pulse callback function. More...
XDp_IntrHandler | DrvHpdPulseHandler
| Callback function for Hot- Plug-Detect (HPD) pulse interrupts. More...
void * | DrvHpdPulseCallbackRef
| A pointer to the user data passed to the HPD pulse callback function. More...
void * | LaneCountChangeCallbackRef
| Callback function to be invoked once a lane count change has occurred within the driver. More...
XDp_IntrHandler | LinkRateChangeCallback
| A pointer to the user data passed to the lane count change callback function. More...
XDp_IntrHandler | PeVsAdjustCallback
| A pointer to the user data passed to the link rate change callback function. More...
void * | PeVsAdjustCallbackRef
| Callback function to be invoked once a voltage swing and pre-emphasis adjust request has been handled within the driver. More...
XDp_IntrHandler | ExtPktCallbackHandler
| A pointer to the user data passed to the voltage swing and pre-emphasis adjust request callback function. More...
void * | ExtPktCallbackHandlerRef
| A pointer to the user data passed to the extended packet done callback function. More...
void * | DrvExtPktCallbackHandlerRef
    Callback function to be
invoked once extended packet is transmitted and controller ready to accept new packet has be handled within driver. More...
XDp_IntrHandler | VsyncCallbackHandler
    A pointer to the user data
passed to the extended packet done callback function. More...
void * | VsyncCallbackHandlerRef
| A pointer to the user data passed to the vertical sync callback function. More...
XDp_IntrHandler | PresetFfeAdjustCallback
| Callback function to be invoked once a voltage swing and ffe adjust request has been handled within the driver. More...

## Detailed Description

The XDp driver instance data representing the TX mode of operation.

## Field Documentation

u32 XDp_Tx::AuxDelayUs

Amount of latency in micro- seconds to use between AUX transactions.

XDp_TxBoardChar XDp_Tx::BoardChar

Some board characteristics information that affects link training.

u8 XDp_Tx::ColorimetryThroughVsc

Enable / Disable of sending colorimetry information through VSC packet.

void* XDp_Tx::DrvExtPktCallbackHandlerRef

    Callback function to be

invoked once extended packet is transmitted and controller ready to accept new packet has be handled within driver.

void* XDp_Tx::DrvHpdEventCallbackRef

A pointer to the user data passed to the HPD event callback function.

XDp_IntrHandler XDp_Tx::DrvHpdEventHandler

Callback function for Hot- Plug-Detect (HPD) event interrupts.

void* XDp_Tx::DrvHpdPulseCallbackRef

A pointer to the user data passed to the HPD pulse callback function.

XDp_IntrHandler XDp_Tx::DrvHpdPulseHandler

Callback function for Hot- Plug-Detect (HPD) pulse interrupts.

XDp_IntrHandler XDp_Tx::ExtPktCallbackHandler

A pointer to the user data passed to the voltage swing and pre-emphasis adjust request callback function.

Callback function to be invoked once extended packet is transmitted and controller ready to accept new packet has be handled within driver.

void* XDp_Tx::ExtPktCallbackHandlerRef

A pointer to the user data passed to the extended packet done callback function.

void* XDp_Tx::HpdEventCallbackRef

A pointer to the user data passed to the HPD event callback function.

XDp_IntrHandler XDp_Tx::HpdEventHandler

Callback function for Hot- Plug-Detect (HPD) event interrupts.

void* XDp_Tx::HpdPulseCallbackRef

A pointer to the user data passed to the HPD pulse callback function.

XDp_IntrHandler XDp_Tx::HpdPulseHandler

Callback function for Hot- Plug-Detect (HPD) pulse interrupts.

u8 XDp_Tx::isRxMstCapable

Sink MST Capable Status.

u8 XDp_Tx::IsTps4Supported

Is TPS4 supported by the downstream sink.

void* XDp_Tx::LaneCountChangeCallbackRef

Callback function to be invoked once a lane count change has occurred within the driver.

XDp_TxLinkConfig XDp_Tx::LinkConfig

Configuration structure for the main link.

Referenced by XDp_CfgInitialize().

XDp_IntrHandler XDp_Tx::LinkRateChangeCallback

A pointer to the user data passed to the lane count change callback function.

Callback function to be invoked once a link rate change has occurred within the driver.

XDp_TxLttprConfig XDp_Tx::LttprConfig

Configuration structure for the Lttpr.

XDp_TxMainStreamAttributes XDp_Tx::MsaConfig[4]

Configuration structure for the main stream attributes (MSA).

Each stream has its own set of attributes. When MST mode is disabled, only MsaConfig[0] is used.

u32 XDp_Tx::MstEnable

Multi-stream transport (MST) mode.

Enables functionality, allowing multiple streams to be sent over the main link.

XDp_TxMstStream XDp_Tx::MstStreamConfig[4]

Configuration structure for a multi-stream transport (MST) stream.

u8 XDp_Tx::NumOfMstStreams

No of mst streams supported.

XDp_IntrHandler XDp_Tx::PeVsAdjustCallback

A pointer to the user data passed to the link rate change callback function.

void* XDp_Tx::PeVsAdjustCallbackRef

Callback function to be invoked once a voltage swing and pre-emphasis adjust request has been handled within the driver.

XDp_IntrHandler XDp_Tx::PresetFfeAdjustCallback

Callback function to be invoked once a voltage swing and ffe adjust request has been handled within the driver.

XDp_TxSinkConfig XDp_Tx::RxConfig

Configuration structure for the RX device.

u32 XDp_Tx::SbMsgDelayUs

Amount of latency in micro- seconds to use between sideband messages for multi-stream transport (MST) mode.

u8 XDp_Tx::SideBandMsgCapable

SideBand Message Support.

XDp_TxTopology XDp_Tx::Topology

The topology of connected downstream DisplayPort devices when the driver is running in MST mode.

u8 XDp_Tx::TrainAdaptive

Downshift lane count and link rate if necessary during training.

void* XDp_Tx::TxMsaCallbackRef

A pointer to the user data passed to the TX MSA callback function.

XDp_IntrHandler XDp_Tx::TxSetMsaCallback

Callback function for setting the TX MSA.

XDp_TxVscExtPacket XDp_Tx::VscPacket

Configuration structure for VSC extended packet data.

XDp_IntrHandler XDp_Tx::VsyncCallbackHandler

    A pointer to the user data

passed to the extended packet done callback function.

Callback function to be invoked once every vertical sync pulse.

void* XDp_Tx::VsyncCallbackHandlerRef

A pointer to the user data passed to the vertical sync callback function.